Bug 481528 - (perl-DBIx-Safe) Review Request: perl-DBIx-Safe - Safer access to your database through a DBI database handle
Review Request: perl-DBIx-Safe - Safer access to your database through a DBI ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: bucardo
  Show dependency treegraph
 
Reported: 2009-01-25 20:47 EST by Itamar Reis Peixoto
Modified: 2015-10-12 15:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.2.5-6.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 15:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2009-01-25 20:47:57 EST
Spec URL: http://www.ispbrasil.com.br/perl-DBIx-Safe/perl-DBIx-Safe.spec
SRPM URL: http://www.ispbrasil.com.br/perl-DBIx-Safe/perl-DBIx-Safe-1.2.5-1.fc9.src.rpm

Description: The purpose of this module is to give controlled, limited access to an application, rather than simply passing it a raw database handle through DBI. DBIx::Safe acts as a wrapper to the database, by only allowing through the commands you tell it to. It filters all things related to the database handle - methods and attributes.


koji scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=1081910
Comment 1 Parag AN(पराग) 2009-01-26 05:53:16 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1081910
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream with different url than given in spec.
ca5abd5fec19da9d51e6312f6707c534  DBIx-Safe-1.2.5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs Nothing.
+ Package perl-DBIx-Safe-1.2.5-1.fc11 ->
Provides:
 perl(DBIx::Safe) = 1.2.5
Requires:
 perl >= 0:5.008003
 perl(DBI) >= 1.42
 perl(IO::Handle)
 perl(strict)
 perl(utf8)
 perl(warnings)


Suggestions:
1) remove unnecessary BR from spec.
BuildRequires:  perl >= 1:5.6.1
2)Source URL not working. Working URL is
http://search.cpan.org/CPAN/authors/id/T/TU/TURNSTEP/DBIx-Safe-1.2.5.tar.gz
But looks like URL have " ** UNAUTHORIZED RELEASE **" written. Not sure what that 
means.
3) Good if you add BRs that will remove warnings from build.log
Warning: prerequisite DBD::Pg 1.49 not found.
Warning: prerequisite DBI 1.49 not found.
Warning: prerequisite Test::More 0.61 not found.
Warning: prerequisite Test::Simple 0.3 not found.
4) License is BSD.
Comment 2 Parag AN(पराग) 2009-01-26 06:04:08 EST
also, Change
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
to
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Comment 4 Parag AN(पराग) 2009-01-28 04:00:49 EST
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1088064

1)rpmlint outputs only
perl-DBIx-Safe.src: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 1)
==>Can be fixed using "sed -i -e 's|\t|  |g' perl-DBIx-Safe.spec"

2) Also, add following at the end of the %install section
%{_fixperms} %{buildroot}/* 


Make sure you will fix above 2 issues first before committing to cvs.

APPROVED.
Comment 6 Itamar Reis Peixoto 2009-01-28 07:29:32 EST
package approved in Comment #4

New Package CVS Request
=======================
Package Name: perl-DBIx-Safe
Short Description: Safer access to your database through a DBI database handle
Owners: itamarjp
Branches: F-10 F-9
InitialCC:
Comment 7 Ralf Corsepius 2009-01-28 09:20:43 EST
Feel adviced to add perl-sig to InitialCC, like most perl package maintainer do.

Activate the test suite. A test suite being noisy doesn't justify deactivating it.
Comment 8 Itamar Reis Peixoto 2009-01-28 10:12:57 EST
(In reply to comment #7)

done.

http://ispbrasil.com.br/perl-DBIx-Safe/perl-DBIx-Safe.spec
http://ispbrasil.com.br/perl-DBIx-Safe/perl-DBIx-Safe-1.2.5-4.fc10.src.rpm

----------------------------------------------------------------------------


New Package CVS Request
=======================
Package Name: perl-DBIx-Safe
Short Description: Safer access to your database through a DBI database handle
Owners: itamarjp
Branches: F-10 F-9
InitialCC: perl-sig
Comment 9 Kevin Fenzi 2009-01-28 19:21:28 EST
cvs done.
Comment 10 Fedora Update System 2009-01-29 18:00:48 EST
perl-DBIx-Safe-1.2.5-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-DBIx-Safe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1072
Comment 11 Parag AN(पराग) 2009-05-05 00:11:33 EDT
can we close this review?
Comment 12 Itamar Reis Peixoto 2009-11-14 18:25:11 EST
Package Change Request
======================
Package Name: perl-DBIx-Safe
New Branches: EL-5
Owners: itamarjp
InitialCC: perl-sig
Comment 13 Jason Tibbitts 2009-11-16 12:40:58 EST
CVS done.
Comment 14 Fedora Update System 2009-11-16 13:57:51 EST
perl-DBIx-Safe-1.2.5-6.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-DBIx-Safe-1.2.5-6.el5
Comment 15 Fedora Update System 2009-12-07 01:28:46 EST
perl-DBIx-Safe-1.2.5-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Itamar Reis Peixoto 2015-09-22 19:16:22 EDT
Package Change Request
======================
Package Name: perl-DBIx-Safe
New Branches: EL-7
Owners: itamarjp
InitialCC: perl-sig
Comment 17 Gwyn Ciesla 2015-09-23 11:32:12 EDT
Git done (by process-git-requests).
Comment 18 Fedora Update System 2015-09-23 11:55:11 EDT
perl-DBIx-Safe-1.2.5-25.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8209
Comment 19 Fedora Update System 2015-09-24 20:20:53 EDT
perl-DBIx-Safe-1.2.5-25.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-DBIx-Safe'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8209
Comment 20 Fedora Update System 2015-10-12 15:59:42 EDT
perl-DBIx-Safe-1.2.5-25.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.